Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Batch create

Prev Next
Post
/batch-create/tag

Used to create a batch of new tags or attributes. Once created these can be updated using tag/tags methods or the profile import method.

For more information on attributes and tags review our dedicated guide.

Body parameters
Create multiple User Profile attributes
{
  "apptoken": "YOUR_APPTOKEN",
  "data": [
    {
      "title": "Test Attribute 1",
      "type": "0",
      "attribute_profile": "1"
    },
    {
      "title": "Test Attribute 2",
      "type": "1",
      "attribute_profile": "1"
    }
  ]
}
Expand All
object
apptoken
string Required

Your App token

data
Array of object Required

Array of tag objects

object
title
string Required

Name of the attribute or tag used when setting it programmatically via an SDK/API call

name
string

Name displayed in the UI, used for a more human-friendly explainer

type
integer (int32)

Required for an attribute. See Type identifiers.

alias_id
string

Name of the tag for which this is an alias

attribute_profile
integer (int32)

Set as 1 to link attribute to User Profiles. Default 0.

attribute_client
integer (int32)

Set as 1 to link attribute to Device Profiles. Default 0.

Responses
200

200

400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information"
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string